Package be.fgov.ehealth.commons.enc.v2

# Class EncryptionPolicy

java.lang.Object
be.fgov.ehealth.commons.enc.v2.EncryptionPolicy

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:23+02:00", comments="JAXB RI v4.0.5") public class EncryptionPolicy extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:commons:enc:v2}KeyInfo"/>
           </sequence>
           <attribute name="MimeType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EncryptionPolicy()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `KeyInfo`
  `getKeyInfo()`
  Contains the information about the key used for the encryption
  `String`
  `getMimeType()`
  Gets the value of the mimeType property.
  `void`
  `setKeyInfo(KeyInfo value)`
  Sets the value of the keyInfo property.
  `void`
  `setMimeType(String value)`
  Sets the value of the mimeType property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EncryptionPolicy

    public EncryptionPolicy()

- ## Method Details

  - ### getKeyInfo

    public KeyInfo getKeyInfo()
    Contains the information about the key used for the encryption
    Returns:
      possible object is `KeyInfo`

  - ### setKeyInfo

    public void setKeyInfo(KeyInfo value)
    Sets the value of the keyInfo property.
    Parameters:
      `value` - allowed object is `KeyInfo`
    See Also:
      - `getKeyInfo()`

  - ### getMimeType

    public String getMimeType()
    Gets the value of the mimeType property.
    Returns:
      possible object is `String`

  - ### setMimeType

    public void setMimeType(String value)
    Sets the value of the mimeType property.
    Parameters:
      `value` - allowed object is `String`